MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023245Open CASCADE[OCCT] OCCT:Shape Healingpublic2012-07-04 17:322017-07-26 18:11
Reporterski 
Assigned Tobugmaster 
PrioritynoneSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSMandriva 2010OS Version
Product Version[OCCT] 6.5.2 
Target VersionFixed in Version[OCCT] 7.1.0 
Summary0023245: DT_SplitAngle command regression
DescriptionThere is a regression in command DT_SplitAngle on Mandriva 2010.

In test case did / 010 / C7 after applying of command DT_SplitAngle on shape GOUVERGUI.brep:

result of checkshape command for shape "result" on OCCT652 is normal:
    This shape seems to be valid

result of checkshape command for this shape on current version of OCCT is faulty:
    On Shape faulty_1 :
    BRepCheck_SelfIntersectingWire
    On Shape faulty_2 :
    BRepCheck_UnorientableShape
    Shape faulty_1 on shape faulty_2 :
    BRepCheck_SelfIntersectingWire
    Faulty shapes in variables faulty_1 to faulty_2

Testing was made only on Mandriva 2010
Steps To Reproducepload TOPTEST
pload XSDRAW
restore GOUVERGUI.brep a
DT_SplitAngle result a
checkshape result
TagsNo tags attached.
Test case numberheal split_angle_advanced X1
Attached Files

- Relationships

-  Notes
(0068457)
mkv (tester)
2017-07-19 19:48

Problem described in issue is not reproduced on current state of OCCT.

- Issue History
Date Modified Username Field Change
2012-07-04 17:32 ski New Issue
2012-07-04 17:32 ski Assigned To => gka
2015-03-12 18:24 apn Test case number => heal split_angle_advanced X1
2017-07-19 19:48 mkv Note Added: 0068457
2017-07-19 19:48 mkv Assigned To gka => bugmaster
2017-07-19 19:48 mkv Status new => feedback
2017-07-20 21:19 bugmaster Status feedback => closed
2017-07-20 21:19 bugmaster Resolution open => fixed
2017-07-26 18:11 mkv Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker